# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DBus::ObjectProxy Class Reference

`#include <object.h>`

Inheritance diagram for DBus::ObjectProxy:

## Public Member Functions

| ObjectProxy (Connection &conn, const Path &path, const char *service="")
| ~ObjectProxy ()
const ObjectProxy * | object () const
Public Member Functions inherited from DBus::Object
virtual | ~Object ()
const DBus::Path & | path () const
const std::string & | service () const
Connection & | conn ()
void | set_timeout (int new_timeout=-1)
int | get_timeout () const

## Private Member Functions

Message | _invoke_method (CallMessage &)
bool | _invoke_method_noreply (CallMessage &call)
bool | handle_message (const Message &)
void | register_obj ()
void | unregister_obj (bool throw_on_error=true)

## Private Attributes

MessageSlot | _filtered

## Additional Inherited Members

Protected Member Functions inherited from DBus::Object
| Object (Connection &conn, const Path &path, const char *service)
Protected Member Functions inherited from DBus::ProxyBase
InterfaceProxy * | find_interface (const std::string &name)
virtual | ~ProxyBase ()
Protected Attributes inherited from DBus::ProxyBase
InterfaceProxyTable | _interfaces

## Detailed Description

Definition at line 202 of file object.h.

## Constructor & Destructor Documentation

## ◆ ObjectProxy()

ObjectProxy::ObjectProxy | ( | Connection & | conn,
|  | const Path & | path,
|  | const char * | service = "" )

Definition at line 290 of file object.cpp.

References DBus::Object::conn(), DBus::Object::Object(), DBus::Object::path(), register_obj(), and DBus::Object::service().

Referenced by object().

## ◆ ~ObjectProxy()

ObjectProxy::~ObjectProxy | ( |  | ) |

Definition at line 296 of file object.cpp.

References unregister_obj().

## Member Function Documentation

## ◆ _invoke_method()

Message ObjectProxy::_invoke_method | ( | CallMessage & | call | ) |

private virtual

Implements DBus::ProxyBase.

Definition at line 332 of file object.cpp.

References DBus::Object::conn(), DBus::Message::destination(), DBus::Object::get_timeout(), DBus::CallMessage::path(), DBus::Object::path(), DBus::Connection::send_blocking(), and DBus::Object::service().

## ◆ _invoke_method_noreply()

bool ObjectProxy::_invoke_method_noreply | ( | CallMessage & | call | ) |

private virtual

Implements DBus::ProxyBase.

Definition at line 343 of file object.cpp.

References DBus::Object::conn(), DBus::Message::destination(), DBus::CallMessage::path(), DBus::Object::path(), DBus::Connection::send(), and DBus::Object::service().

## ◆ handle_message()

bool ObjectProxy::handle_message | ( | const Message & | msg | ) |

private virtual

Implements DBus::Object.

Definition at line 354 of file object.cpp.

References DBus::debug_log, DBus::InterfaceProxy::dispatch_signal(), DBus::ProxyBase::find_interface(), DBus::SignalMessage::member(), DBus::Object::path(), DBus::SignalMessage::path(), DBus::Message::sender(), and DBus::Message::type().

Referenced by register_obj().

## ◆ object()

const ObjectProxy * DBus::ObjectProxy::object | ( |  | ) | const

inline virtual

Implements DBus::ProxyBase.

Definition at line 228 of file object.h.

References ObjectProxy().

## ◆ register_obj()

void ObjectProxy::register_obj | ( |  | ) |

private virtual

Implements DBus::Object.

Definition at line 301 of file object.cpp.

References _filtered, DBus::ProxyBase::_interfaces, DBus::Connection::add_filter(), DBus::Connection::add_match(), DBus::Object::conn(), DBus::debug_log, handle_message(), and DBus::Object::path().

Referenced by ObjectProxy().

## ◆ unregister_obj()

void ObjectProxy::unregister_obj | ( | bool | throw_on_error = true | ) |

private virtual

Implements DBus::Object.

Definition at line 318 of file object.cpp.

References _filtered, DBus::ProxyBase::_interfaces, DBus::Object::conn(), DBus::debug_log, DBus::Object::path(), DBus::Connection::remove_filter(), and DBus::Connection::remove_match().

Referenced by ~ObjectProxy().

## Member Data Documentation

## ◆ _filtered

MessageSlot DBus::ObjectProxy::_filtered

private

Definition at line 225 of file object.h.

Referenced by register_obj(), and unregister_obj().

The documentation for this class was generated from the following files:

- object.h
- object.cpp